SendMessageData (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.catalina.ha.tcp, record: SendMessageData

# Record Class SendMessageData

java.lang.Object
java.lang.Record
org.apache.catalina.ha.tcp.SendMessageData

Record Components:
  `message` - the message that was sent
  `destination` - the destination of the message
  `exception` - the exception, if any, when attempting to send the message

public record SendMessageData(Object message, Member destination, Exception exception) extends Record
Data about a message send operation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendMessageData(Object message, Member destination, Exception exception)`
  Creates an instance of a `SendMessageData` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Member`
  `destination()`
  Returns the value of the `destination` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Exception`
  `exception()`
  Returns the value of the `exception` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Object`
  `message()`
  Returns the value of the `message` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SendMessageData

    public SendMessageData(Object message, Member destination, Exception exception)
    Creates an instance of a `SendMessageData` record class.
    Parameters:
      `message` - the value for the `message` record component
      `destination` - the value for the `destination` record component
      `exception` - the value for the `exception` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### message

    public Object message()
    Returns the value of the `message` record component.
    Returns:
      the value of the `message` record component

  - ### destination

    public Member destination()
    Returns the value of the `destination` record component.
    Returns:
      the value of the `destination` record component

  - ### exception

    public Exception exception()
    Returns the value of the `exception` record component.
    Returns:
      the value of the `exception` record component